{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

<submission-form selector="#{{ record_form.submit.id }}">
  {{ render_csrf() }}

  <dynamic-select-field placeholder="{% trans %}Search for records{% endtrans %}"
                        endpoint="{{ url_for('api.select_records') }}"
                        :field="{{ json_field(record_form.record) }}"
                        :request-params="{action: ['read', 'link'], exclude: [{{ record.id }}]}">
  </dynamic-select-field>
  <text-field :field="{{ json_field(record_form.name) }}"></text-field>
  <select-field :field="{{ json_field(record_form.link_direction) }}"></select-field>
  <submit-field :field="{{ json_field(record_form.submit) }}"></submit-field>
</submission-form>
<hr>
<record-links endpoint="{{ url_for('api.get_record_links', id=record.id, action=['link'], direction='to') }}"
              title="{% trans %}Outgoing record links{% endtrans %}"
              direction="to">
</record-links>
<hr>
<record-links endpoint="{{ url_for('api.get_record_links', id=record.id, action=['link'], direction='from') }}"
              title="{% trans %}Incoming record links{% endtrans %}"
              direction="from">
</record-links>
